package com.oqpo.api.entity.loanmng;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

@Getter
@Setter
@ToString
public class LoanMgntBaseInfoEntity implements Serializable {

    @ApiModelProperty(value = "여신관리고유번호")
    private String loanMgntUnqNo;
    @ApiModelProperty(value = "매장아이디")
    private String storeId;
    @ApiModelProperty(value = "매장명")
    private String storeNm;
    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;
    @ApiModelProperty(value = "브랜드명")
    private String brandNm;
    @ApiModelProperty(value = "계정코드")
    private String acctCd;
    @ApiModelProperty(value = "계좌번호")
    private String acctNo;
    @ApiModelProperty(value = "계좌잔액")
    private long acctBal;
    @ApiModelProperty(value = "여신구분")
    private String loanDvsn;
    @ApiModelProperty(value = "여신구분명")
    private String loanDvsnNm;
    @ApiModelProperty(value = "신용한도금액")
    private long credtLimitAmt;
    @ApiModelProperty(value = "충전한도금액")
    private long chrgeLimitAmt;
    @ApiModelProperty(value = "신용한도사용여부")
    private String credtLimitUseYn;
    @ApiModelProperty(value = "사용금액합계")
    private long useAmtTotal;
    @ApiModelProperty(value = "가수금액합계")
    private long tmpRcvAcctTotal;
    @ApiModelProperty(value = "사용여부")
    private String useYn;
    @ApiModelProperty(value = "사용여부명")
    private String useYnNm;
    @ApiModelProperty(value = "비고")
    private String loanDesc;
    @ApiModelProperty(value = "시스템등록일시")
    private String sysRegDttm;
    @ApiModelProperty(value = "시스템등록아이디")
    private String sysRegId;
    @ApiModelProperty(value = "시스템등록자")
    private String sysRegNm;
    @ApiModelProperty(value = "시스템변경일시")
    private String sysChgDttm;
    @ApiModelProperty(value = "시스템변경아이디")
    private String sysChgId;
    @ApiModelProperty(value = "시스템변경자")
    private String sysChgNm;

}
